"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class Globals {
    static cliLog(prefix, message) {
        Globals.serverless.cli.log(`${prefix} ${message}`, Globals.pluginName);
    }
    /**
     * Logs info message
     * @param message: message to be printed
     * @param debug: if true then show log only if SLS_DEBUG enabled on else anytime.
     * By default debug mode off and a message printed for each call.
     */
    static logInfo(message, debug = false) {
        const canLog = (debug && process.env.SLS_DEBUG) || !debug;
        if (canLog) {
            Globals.cliLog("Info:", message);
        }
    }
    /**
     * Logs warning message
     * @param message: message to be printed
     * @param debug: if true then show log only if SLS_DEBUG enabled on else anytime.
     * By default debug mode off and a message printed for each call.
     */
    static logWarning(message, debug = false) {
        const canLog = (debug && process.env.SLS_DEBUG) || !debug;
        if (canLog) {
            Globals.cliLog("WARNING:", message);
        }
    }
    /**
     * Logs error message
     * @param message: message to be printed
     * @param debug: if true then show log only if SLS_DEBUG enabled on else anytime.
     * By default debug mode off and a message printed for each call.
     */
    static logError(message, debug = false) {
        const canLog = (debug && process.env.SLS_DEBUG) || !debug;
        if (canLog) {
            Globals.cliLog("Error:", message);
        }
    }
}
exports.default = Globals;
Globals.pluginName = "Serverless VPC Discovery";
